  { UnInstall program for ExtraHelp - Jon Webb, july 7th 1996       }
  { Freeware; please report bugs, bug fixes, comments, enhancements }
  { etc. to j.webb@marketresponse.nl                                }

unit Uninstfm;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Bevel1: TBevel;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
  var vcs: string;
begin

  {Get VCS manager entry}

  vcs[0] := char(GetPrivateProfileString(
                 'Version Control', 'VCSManager', '',
                  @vcs[1], sizeof(vcs)-1,
                 'DELPHI.INI'));

  if copy(vcs, length(vcs)-11, 12) <> 'EXTRAHLP.DLL' then
    showmessage('ExtraHelp is not installed - no need to UnInstall.')
  else
  begin

    {Erase section}

    WritePrivateProfileString('Jons.ExtraHelp', nil, nil, 'DELPHI.INI');

    {Erase VCSManager entry}

    WritePrivateProfileString('Version Control', 'VCSManager', nil, 'DELPHI.INI');

    {Erase DLL file}

    if not DeleteFile(vcs) then
      showMessage('Unable to delete file '+vcs);

    hide;
    showMessage('ExtraHelp uninstalled.');
    close;

  end;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  close;
end;

end.
